export enum ScheduleStatus{
    NOT_AVAILABLE,
    SCHEDULED,
    AVAILABLE,
    PREPARE_TO_DEPART,
    CANCELED
}

type ScheduleStatusMapping = {
    [key in ScheduleStatus]: string;
}

const scheduleStatusMapping: ScheduleStatusMapping = {
    0: "Tidak Tersedia",
    1: "Dijadwalkan",
    2: "Tersedia",
    3: "Bersiap Berangkat",
    4: "Dibatalkan",
}

export const reversePassengerNoun = (val: ScheduleStatus) => {
    return scheduleStatusMapping[val] || "-"
}